Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.preprocessor
Class AcceptedNodesViewFilter

    java.lang.Object
      com.nokia.carbide.cpp.epoc.engine.preprocessor.AcceptedNodesViewFilter

All Implemented Interfaces:
  IViewFilter

Direct Known Subclasses:
  AcceptedBuildContextNodesViewFilter

    public class AcceptedNodesViewFilter

extends java.lang.Object
implements IViewFilter

This filter supplies nodes that would ordinarily be accepted given the macro settings and #if branches in source.

Constructor Summary
`AcceptedNodesViewFilter()`

Method Summary
`boolean` | `combineBranches()` when #evaluteConditionals() returns true, then if true, then both true and false branches of a test are included.
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `evaluateConditionalStatements()` if true, use macro values to evaluate #if/etc nodes and include the contents in the succeeding branch; else, conditionals are skipped entirely
`boolean` | `evaluateUnconditionalStatements()` if true, then nodes outside #if/etc are kept, else, they are skipped entirely
`boolean` | `expandVariantMacros()` • variant macro: a macro whose value is determined to differ between configurations, either by coming from a set of fixed macros or by being defined inside #ifs in the translation unit • if true, expand variant macros when encountered in macro expressions and statements; else, statements containing variant macros will be filtered out.
`int` | `hashCode()`
`boolean` | `invertSuccess()` when #evaluteConditionals() returns true, then, if true, filter out contents from successful tests and keep contents from failing tests

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcceptedNodesViewFilter

    public AcceptedNodesViewFilter()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### combineBranches

    public boolean combineBranches()

  Description copied from interface: `IViewFilter`
  when #evaluteConditionals() returns true, then if true, then both true and false branches of a test are included.

  Specified by:
    `combineBranches` in interface `IViewFilter`
  Returns:

### evaluateConditionalStatements

    public boolean evaluateConditionalStatements()

  Description copied from interface: `IViewFilter`
  if true, use macro values to evaluate #if/etc nodes and include the contents in the succeeding branch; else, conditionals are skipped entirely

  Specified by:
    `evaluateConditionalStatements` in interface `IViewFilter`
  Returns:

### evaluateUnconditionalStatements

    public boolean evaluateUnconditionalStatements()

  Description copied from interface: `IViewFilter`
  if true, then nodes outside #if/etc are kept, else, they are skipped entirely

  Specified by:
    `evaluateUnconditionalStatements` in interface `IViewFilter`
  Returns:

### expandVariantMacros

    public boolean expandVariantMacros()

  Description copied from interface: `IViewFilter`
  • variant macro: a macro whose value is determined to differ between configurations, either by coming from a set of fixed macros or by being defined inside #ifs in the translation unit

  • if true, expand variant macros when encountered in macro expressions and statements; else, statements containing variant macros will be filtered out. (Macros in #if expressions are outside the scope of this query.)

  Specified by:
    `expandVariantMacros` in interface `IViewFilter`
  Returns:

### invertSuccess

    public boolean invertSuccess()

  Description copied from interface: `IViewFilter`
  when #evaluteConditionals() returns true, then, if true, filter out contents from successful tests and keep contents from failing tests

  Specified by:
    `invertSuccess` in interface `IViewFilter`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD